
Infrastructure - Task #2463

Bug # 2449 (Closed): knb unicode identifier create and get failures

identifiers with "?" not being preserved

2012-03-09 15:32 - Ben Leinfelder

Status: Rejected Start date: 2012-03-09

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

For these tests, only the part of the identifier before the "?" is preserved when it is processed by the rest service.

Test 30: Error: get   : path-ascii-doc-example-http://example.com/data/mydata?row=24

Test 31: Error: get   : path-ascii-doc-example-ldap://ldap1.example.net:6666/o=University%20of%20Michigan,

c=US??sub?(cn=Babs%20Jensen)

It seems like "?" should be encoded as "%3f" so that they are not considered the beginning of a query param.

Related issues:

Related to Infrastructure - Task #2454: escaped '/' characters are being deco... Closed 2012-03-07

History

#1 - 2012-03-09 17:35 - Ben Leinfelder

- Status changed from New to Rejected

This is now passing for demo2.test.dataone.org -- likel because of other configuration changes that have been performed on the server and

documented in other related tickets.

20120309-09:33:05: [INFO]: Node Test Summary for node: https://demo2.test.dataone.org/knb/d1/mn/v1

[org.dataone.integration.it.ContextAwareTestCaseDataone]

20120309-09:33:05: [INFO]: Test 30: OK   :  path-ascii-doc-example-http://example.com/data/mydata?row=24

[org.dataone.integration.it.ContextAwareTestCaseDataone]

20120309-09:33:05: [INFO]: Test 31: OK   :  path-ascii-doc-example-ldap://ldap1.example.net:6666/o=University%20of%20Michigan,

c=US??sub?(cn=Babs%20Jensen) [org.dataone.integration.it.ContextAwareTestCaseDataone]
